Page 1 of 1

Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Mon Dec 12, 2011 1:37 pm
by bzigon
Hello

Are there any hidden issues with using CulaDense (free) R13a with Cuda4.1RC2?

or put another way .. is R13a compatible with Cuda 4.1 RC2?

Thanks.

Bob

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Mon Dec 12, 2011 2:39 pm
by kyle
Since CULA Dense is highly dependent on the underlying CUDA runtime, the current version will not work as excepted with CUDA 4.1 RC; it will most likely fail at the culaInitialize() routine.

However, when CUDA 4.1 is release, we aim to release updated CULA libraries 2-3 days following NVIDIA's release.

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Mon Apr 23, 2012 8:52 am
by ajaypanyala
Hello,

I have the same problem with CulaDense (free version) R14.
I have CUDA 4.1 setup properly, but it still fails at culaInitialize()

Could someone please point out what else might be needed to make
this work?

Thanks
Ajay

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Mon Apr 23, 2012 8:56 am
by john
You'll need to describe more thoroughly what you're experiencing as well as your system's setup.

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Tue Apr 24, 2012 2:08 pm
by ajaypanyala
I just started using CULA with version R14. When going through the programmer's guide,
I found code in section 6.6 of the guide that Checks whether Libraries are Linked Correctly.

I compiled the code by linking the proper libraries as shown in the programmer's guide.
However, when I ran that code I got

CUDA runtime version is insufficient; version 4010 or greater is required.
CUDA driver version is insufficient; version 4010 or greater is required.
CUBLAS runtime version is insufficient; version 4010 or greater is required.

I do not understand why it says that when cuda/4.1 is installed on my system.

The CULA initialize failure I mentioned previously was due to running code
with CULA calls ignoring the above messages about insufficient versions.

Thanks
Ajay

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Thu Apr 26, 2012 11:35 am
by john
Just because the toolkit is installed to your system doesn't mean that CULA can find it. It sounds to me like you might need to put CULA into your LD_LIBRARY_PATH (or ld.so.conf, etc).

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Thu Apr 26, 2012 12:16 pm
by ajaypanyala
I do have LD_LIBRARY_PATH setup correctly to find CULA and also CUDA libraries.

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Fri Apr 27, 2012 7:13 am
by john
You'll probably want to try an ldd command and an nvidia-smi -a

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Fri Apr 27, 2012 9:33 am
by ajaypanyala
The system is actually a cluster.

nvidia-smi -a gives
NVIDIA: could not open the device file /dev/nvidiactl (No such file or directory).
Nvidia-smi has failed because it couldn't communicate with NVIDIA driver.

I will request the system administrators to check this.

Thanks
Ajay

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Mon Apr 30, 2012 5:40 am
by john
On clusters, the compilation nodes are typically not outfitted with GPUs. But the CUDA toolkit is installed, and so you can compile CUDA programs but cannot run them. This is probably why your CULA program is not able to run. Submit the program to one of the GPU nodes and I think you'll find different results.

Re: Does CulaDense R13a work with Cuda 4.1RC2?

PostPosted: Mon Apr 30, 2012 7:05 am
by ajaypanyala
I did submit a job to a GPU node, but still get the same issues.
There is a problem with the cluster itself. I just got an email few
minutes ago from an admin saying that the GPU nodes are down :(

Thanks
Ajay